FGC-RBAC
账户管理

获取账户列表

GET
/GetAccountList

分页获取活字格服务中的账户列表,返回账户基本信息、角色及所属组织层级。

AuthorizationBearer <token>

In: header

Query Parameters

page*integer

当前页码,从 1 开始

pageSize*integer

每页返回的记录数

Response Body

application/json

curl -X GET "https://camp.app.hzgcloud.cn/rbac/ServerCommand/GetAccountList?page=1&pageSize=5"
{
  "ErrCode": 0,
  "Message": "获取成功",
  "total": 37,
  "data": [
    {
      "username": "admin",
      "fullName": "总管理员",
      "email": "admin@demo.com",
      "isActived": "有效",
      "roles": "",
      "orgSuperior": "||"
    },
    {
      "username": "Administrator",
      "fullName": "Administrator",
      "email": "example@example.com",
      "isActived": "有效",
      "roles": "Administrator",
      "orgSuperior": "||"
    },
    {
      "username": "chenshi",
      "fullName": "陈式",
      "email": "chenshi@shuhan.com",
      "isActived": "有效",
      "roles": "普通员工",
      "orgSuperior": "|liubei|guanyu|zhugeliang|weiyan|"
    },
    {
      "username": "dengzhi",
      "fullName": "邓芝",
      "email": "dengzhi@shuhan.com",
      "isActived": "有效",
      "roles": "普通员工",
      "orgSuperior": "|liubei|guanyu|fengchu|"
    },
    {
      "username": "dongyun",
      "fullName": "董允",
      "email": "dongyun@shuhan.com",
      "isActived": "有效",
      "roles": "普通员工",
      "orgSuperior": "|liubei|guanyu|pangtong|"
    }
  ]
}